OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< Track > Struct Template Reference

Allow incrementing of Track variables. More...

`#include <track_type.h>`

Inheritance diagram for EnumPropsT< Track >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< Track, byte, TRACK_BEGIN, TRACK_END, INVALID_TRACK, 3 >
typedef Track | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< Track, byte, TRACK_BEGIN, TRACK_END, INVALID_TRACK, 3 >
static const Track | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const Track | end
| one after the last valid value (i.e. TRACKDIR_END)
static const Track | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< Track >

Allow incrementing of Track variables.

Define basic enum properties

Definition at line 36 of file track_type.h.

The documentation for this struct was generated from the following file:

- src/track_type.h